Package org.opensaml.profile.context

# Class EventContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.profile.context.EventContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

Direct Known Subclasses:
  `PreviousEventContext`

public class EventContext extends BaseContext
A context component which holds the result of a profile action that produces an "event".

Actions that operate on contexts and want to signal the result in the form of an "event" to a sibling or parent component can create or modify an EventContext. The context contains a generic type that represents an event of meaning to a surrounding processing model, such as a workflow.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Object`
`event`
The event represented.

## Constructor Summary

Constructors
Constructor
Description
`EventContext()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getEvent()`
Get the event represented by the context.
`EventContext`
`setEvent(Object newEvent)`
Set the event represented by the context.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### event

@Nullable private Object event
The event represented.

## Constructor Details

### EventContext

public EventContext()

## Method Details

### getEvent

@Nullable public Object getEvent()
Get the event represented by the context.

Returns:
  the event

### setEvent

@Nonnull public EventContext setEvent(@Nullable Object newEvent)
Set the event represented by the context.

Parameters:
  `newEvent` - the event
Returns:
  this context